#include <iostream>
#include <fstream>
#include <vector>

using namespace std;

struct Etendus
{
    string nadalapaev;
    string kuupaev;
    string kellaaeg;
    string lavastus;
    string koht;
};
vector<Etendus> kava;

struct Lavastus
{
    string nimetus;
    int sagedus;
    string paevad;
};
vector<Lavastus> lava;
void lisaLavastus(string nimi, string kp)
{
     for(int i=0;i<lava.size();i++)
        if(nimi==lava[i].nimetus)
        {
            lava[i].sagedus++;
            lava[i].paevad.append(", ");
            lava[i].paevad.append(kp);
            return;
        }
    Lavastus x;
    x.nimetus = nimi;
    x.sagedus = 1;
    x.paevad = kp;
    lava.push_back(x);
}

string line;

string nextToken()
{
    int pos = line.find_first_of("\t");
    string token = line.substr(0,pos);
    line = line.substr(pos+1);
    return token;
}
void etendusiKuupaeval()
{
    cout<<"\nETENDUSTE ARV KUUPEVADE KAUPA\n";

    string kp;
    int etendusi = 0;
    for(int k=0;k<kava.size();k++)
        if(kp==kava[k].kuupaev)
            etendusi++;
        else
        {
             if(etendusi>0)
                cout<<kp<<"\t"<<etendusi<<endl;

             kp = kava[k].kuupaev;
             etendusi = 1;
        }

    cout<<kp<<"\t"<<etendusi<<endl;
}
void lavastuseEtendusi()
{
    cout<<"\nLAVASTUSE ETENDUSTE ARV\n";
    for(int k=0;k<kava.size();k++)
        lisaLavastus(kava[k].lavastus,kava[k].kuupaev);
    for(int i=0;i<lava.size();i++)
    {
        cout<<lava[i].sagedus<<"\t"<<lava[i].nimetus<<endl;
        cout<<lava[i].paevad<<endl;
    }
}
int main()
{
    ifstream in("..\\..\\Teater.txt");
   if(!in.is_open())
   {
      cout<<"Faili ei saa avada!\n";
      return 1;
   }

   while(in.good())
   {
     getline(in,line);
     cout<<line<<endl;
     Etendus uus;
     uus.nadalapaev = nextToken();
     uus.kuupaev  = nextToken();
     uus.kellaaeg = nextToken();
     uus.lavastus = nextToken();
     uus.koht = nextToken();
     kava.push_back(uus);
   }
   in.close();

   etendusiKuupaeval();
   lavastuseEtendusi();

   return 0;
}
